package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.api.sys.model.SysUserRole
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 用户角色表 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysUserRoleService : BaseService<SysUserRole> {
    /**
     * 获取指定用户的角色列表
     */
    fun getUserRoleListByUserId(id: Long): MutableList<SysRole>

    /**
     * 获取指定用户的角色id列表
     */
    fun getUserRoleIdListByUserId(id: Long): List<Long>

    /**
     * 获取指定角色id的用户id列表
     */
    fun getUserIdListByRoleId(id: Long): Set<Long>

    /**
     * 删除某用户的角色关联信息
     */
    fun deleteByUserId(userId: Long)

    /**
     * 更新用户的角色关系
     */
    fun updateByUserId(userId: Long, roleIds: List<Long>)
}
